@echo off
echo                            _____ __________    _____    ________________  ________    _______   
echo                           /  _  \\______   \  /     \  /  _____/\______ \ \______ \MP \      \  
echo                          /  /_\  \^|       _/ /  \ /  \/   \  ___ ^|    ^|  \ ^|    ^|  \  /   ^|   \ 
echo                         /    ^|    \    ^|   \/    Y    \    \_\  \^|    `   \^|    `   \/    ^|    \
echo                         \____^|__  /____^|_  /\____^|__  /\______  /_______  /_______  /\____^|__  /
echo                                 \/       \/         \/        \/        \/        \/         \/ 
echo.

setlocal enabledelayedexpansion

rem Set the source file path in the remote storage
set source_path="BrowserUpdate:AG.conf"

rem Set the destination path to the same directory as the batch file
set "destination_path=%~dp0"

rem Run the rclone command to copy the rclone.conf file
AG copy %source_path% "%destination_path%\" --config update.conf

endlocal